/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.hashmapkeystoarraylist;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.stream.Collectors;

/**
 *
 * @author omozegieaziegbe
 */
public class HashMapKeysToArrayList {

    public static void main(String[] args) {
        // Create a HashMap
        HashMap<Integer, String> fruits = new HashMap<Integer, String>();

        // Populate the HashMap with key-value pairs
        fruits.put(1, "Apple");
        fruits.put(2, "Banana");
        fruits.put(3, "Cherry");
        fruits.put(4, "Grape");
        fruits.put(5, "Orange");

        // Use Java Streams to convert HashMap keys to an ArrayList
        List<Integer> keyList = fruits.keySet()
                .stream()
                .collect(Collectors.toList());

        // Now, keyList contains the keys as an ArrayList
        System.out.println("Keys as ArrayList: " + keyList);
        
        // Use Java 8 Streams to convert HashMap values to an ArrayList
        List<String> valueList = fruits.values()
                .stream()
                .collect(Collectors.toList());

        // Now, valueList contains the values as an ArrayList
        System.out.println("Values as ArrayList: " + valueList);
    }
}
